<?php

namespace domain\Product\Product;

use domain\_\AbstractBuilder;

class ProductBuilder extends AbstractBuilder
{
    public function instanciateProduct(): Product
    {
        $product = new Product();

        $product->is_available_for_subscriptions = true;

        return $product;
    }

    public function createProduct(): Product
    {
        $product = $this->instanciateProduct();
        $this->create($product);

        return $product;
    }
}